<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1base__window.html">base_window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::base_window Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>base_window</b>(bool resizable=true, bool undecorated=false) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>base_window</b>(base_window &amp;) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>base_window</b>(bool resizable_=true, bool undecorated=false) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>base_window</b>(base_window &amp;) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_WINDOW</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>close_window</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>close_window</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CONTROL</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>DO_NOT_CLOSE_WINDOW</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_display_size</b>(unsigned long &amp;width, unsigned long &amp;height) const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_display_size</b>(unsigned long &amp;width, unsigned long &amp;height) const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_pos</b>(long &amp;x_, long &amp;y_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_pos</b>(long &amp;x_, long &amp;y_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_size</b>(unsigned long &amp;width, unsigned long &amp;height) const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_size</b>(unsigned long &amp;width_, unsigned long &amp;height_) const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>globals</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>gui_core_kernel_1_globals::WndProc</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>gui_core_kernel_2_globals::event_handler_thread</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>gui_core_kernel_2_globals::trigger_user_event_threadproc</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>has_been_destroyed</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>has_been_moved</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>has_been_resized</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>height</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>hide</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>hide</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>hwnd</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>invalidate_rectangle</b>(const rectangle &amp;rect) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>invalidate_rectangle</b>(const rectangle &amp;rect) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>is_closed</b>() const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>is_closed</b>() const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>is_mapped</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KBD_MOD_ALT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KBD_MOD_CAPS_LOCK</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KBD_MOD_CONTROL</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KBD_MOD_META</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KBD_MOD_NONE</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KBD_MOD_NUM_LOCK</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KBD_MOD_SCROLL_LOCK</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KBD_MOD_SHIFT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_ALT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_BACKSPACE</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_CAPS_LOCK</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_CTRL</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_DELETE</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_DOWN</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_END</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_ESC</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_F1</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_F10</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_F11</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_F12</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_F2</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_F3</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_F4</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_F5</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_F6</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_F7</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_F8</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_F9</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_HOME</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_INSERT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_LEFT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_PAGE_DOWN</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_PAGE_UP</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_PAUSE</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_RIGHT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_SCROLL_LOCK</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>KEY_SHIFT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>KEY_UP</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>keyboard_state_masks</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>keyboard_state_masks</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>last_click_button</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>last_click_x</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>last_click_y</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>LEFT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>MIDDLE</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mouse_in</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mouse_state_masks</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mouse_state_masks</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>non_printable_keyboard_keys</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>non_printable_keyboard_keys</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>NONE</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_close_return_code</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_close_return_code</b> enum name (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_focus_gained</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_focus_gained</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_focus_lost</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_focus_lost</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_keydown</b>(unsigned long, bool, unsigned long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_keydown</b>(unsigned long, bool, unsigned long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_down</b>(unsigned long, unsigned long, long, long, bool) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_down</b>(unsigned long, unsigned long, long, long, bool) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_enter</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_enter</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_leave</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_leave</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_move</b>(unsigned long, long, long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_move</b>(unsigned long, long, long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_up</b>(unsigned long, unsigned long, long, long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_up</b>(unsigned long, unsigned long, long, long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_string_put</b>(const std::wstring &amp;) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_string_put</b>(const std::wstring &amp;) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_user_event</b>(void *, int) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_user_event</b>(void *, int) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_wheel_down</b>(unsigned long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_wheel_down</b>(unsigned long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_wheel_up</b>(unsigned long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_wheel_up</b>(unsigned long) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_window_close</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_window_close</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_window_moved</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_window_moved</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_window_resized</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_window_resized</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(base_window &amp;) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(base_window &amp;) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>paint</b>(const canvas &amp;)=0 (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>paint</b>(const canvas &amp;c)=0 (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>prev_state</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>prevx</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>prevy</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>resizable</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>RIGHT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_im_pos</b>(long x_, long y_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_im_pos</b>(long x_, long y_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_pos</b>(long x_, long y_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_pos</b>(long x_, long y_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_size</b>(int width_, int height_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_size</b>(int width_, int height_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_title</b>(const std::string &amp;title) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_title</b>(const std::wstring &amp;title) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_title</b>(const ustring &amp;title) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_title</b>(const std::string &amp;title_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_title</b>(const std::wstring &amp;title_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_title</b>(const dlib::ustring &amp;title_) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SHIFT</b> enum value (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>show</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>show</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>style</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>trigger_user_event</b>(void *p, int i) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>trigger_user_event</b>(void *p, int i) (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>wait_until_closed</b>() const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>wait_until_closed</b>() const (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>width</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>wm</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>x</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>x11_stuff</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>y</b> (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~base_window</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~base_window</b>() (defined in <a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a>)</td><td class="entry"><a class="el" href="classdlib_1_1base__window.html">dlib::base_window</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
